Page MenuHomePhabricator

Add support for tags to WikiLove API
Closed, ResolvedPublic

Description

WikiLove's API should support adding additional tags as another (optional) parameter to the API call

Details

Related Gerrit Patches:
mediawiki/extensions/WikiLove : masterAdd support for tags to WikiLove API

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptAug 31 2019, 8:31 PM

Change 533711 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/WikiLove@master] Add support for tags to WikiLove API

https://gerrit.wikimedia.org/r/533711

@DannyS712 I have figure out how to add tags having 'action' => 'edit'. But can't figure out for 'action' => 'threadaction' and 'action' => 'flow'. This is because both do not provide tags parameter natively.

DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.Aug 31 2019, 9:08 PM

@DannyS712 I have figure out how to add tags having 'action' => 'edit'. But can't figure out for 'action' => 'threadaction' and 'action' => 'flow'. This is because both do not provide tags parameter natively.

In that case, just support for the normal edit should be enough; if tags are ever added to the other apis we can revisit the issue. Thanks for the prompt response!

@DannyS712 I have try some flow pages. And do some search on codesearch.wmflabs.org. Now sure that they do not use the tags in pages. Thanks :)

kostajh moved this task from Inbox to External on the Growth-Team board.Sep 3 2019, 10:33 AM

Looks like @Jaypraskash12345 and @DannyS712 are working on this, so marking as external to Growth-Team. When the patch is ready and if you would like review on the patch from Growth team engineers, please ping us here or in Gerrit.

Looks like @Jaypraskash12345 and @DannyS712 are working on this, so marking as external to Growth-Team. When the patch is ready and if you would like review on the patch from Growth team engineers, please ping us here or in Gerrit.

Please review the patch at https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikiLove/+/533711/

ifried removed a subscriber: ifried.Oct 28 2019, 2:36 PM

Thanks for the ping, +2'ed.

Change 533711 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] Add support for tags to WikiLove API

https://gerrit.wikimedia.org/r/533711

Jayprakash12345 closed this task as Resolved.Nov 19 2019, 1:16 AM